Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant
Class CactusWar

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.Zip
                      org.apache.tools.ant.taskdefs.Jar
                          org.apache.tools.ant.taskdefs.War
                              org.apache.cactus.integration.ant.CactifyWarTask
                                  org.apache.cactus.integration.ant.CactusWar

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.SelectorContainer

public class CactusWar
extends CactifyWarTask

Implements the nested element cactuswar of the cactifyear task. This element can be configured exactly as the cactifywar task with som additions as context within the ear file.

Version:
  $Id: CactusWar.java 239162 2005-04-26 09:57:59Z grimsell $

Nested Class Summary

Nested classes inherited from class org.apache.cactus.integration.ant.CactifyWarTask
`CactifyWarTask.EjbRef, CactifyWarTask.FilterRedirector, CactifyWarTask.JspRedirector, CactifyWarTask.Redirector, CactifyWarTask.ServletRedirector, CactifyWarTask.Version`

Nested classes inherited from class org.apache.tools.ant.taskdefs.Jar
`org.apache.tools.ant.taskdefs.Jar.FilesetManifestConfig`

Nested classes inherited from class org.apache.tools.ant.taskdefs.Zip
`org.apache.tools.ant.taskdefs.Zip.ArchiveState, org.apache.tools.ant.taskdefs.Zip.Duplicate, org.apache.tools.ant.taskdefs.Zip.WhenEmpty`

Constructor Summary
`CactusWar()`

Method Summary
`java.lang.String` | `getContext()`
`java.lang.String` | `getFileName()`
`void` | `setContext(java.lang.String theContext)`

Methods inherited from class org.apache.cactus.integration.ant.CactifyWarTask
`addConfiguredEjbref, addConfiguredXMLCatalog, addFilterRedirector, addJspRedirector, addServletRedirector, execute, setMergeWebXml, setSrcFile, setVersion`

Methods inherited from class org.apache.tools.ant.taskdefs.War
`addClasses, addLib, addWebinf, setWarfile, setWebxml`

Methods inherited from class org.apache.tools.ant.taskdefs.Jar
`addConfiguredIndexJars, addConfiguredManifest, addMetainf, reset, setFilesetmanifest, setIndex, setJarfile, setManifest, setManifestEncoding, setWhenempty`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`addFileset, addZipfileset, addZipGroupFileset, executeMain, getComment, getDestFile, getEncoding, isCompress, isInUpdateMode, setBasedir, setComment, setCompress, setDestFile, setDuplicate, setEncoding, setFile, setFilesonly, setKeepCompression, setRoundUp, setUpdate, setZipfile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CactusWar

    public CactusWar()

Method Detail

### getContext

    public java.lang.String getContext()

  Returns:
    Returns the context.

### setContext

    public void setContext(java.lang.String theContext)

  Parameters:
    `theContext` - The context to set.

### getFileName

    public java.lang.String getFileName()

  Returns:
    the name of the web app file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.